Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class DefaultMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.DefaultMethodKey

    public class DefaultMethodKey
    extends MethodKey

A default implementation of MethodKey

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`DefaultMethodKey(java.lang.Class sender, java.lang.String name, java.lang.Class[] parameterTypes, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`java.lang.Class` | `getParameterType(int index)`

Methods inherited from class MethodKey
createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultMethodKey

    public DefaultMethodKey(java.lang.Class sender, java.lang.String name, java.lang.Class[] parameterTypes, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public java.lang.Class getParameterType(int index)

Groovy Documentation